<?php

namespace App\Controllers;

use App\Models\Model_kategori_mengajar;

class kategori_mengajar extends BaseController
{

    public function __construct()
    {
        $this->Model_kategori_mengajar = new Model_kategori_mengajar();
        helper('form');
    }

    public function index()
    {
        $data = array(
            'title' => 'kategori_mengajar   ',
            'kategori_mengajar' => $this->Model_kategori_mengajar->all_data(),
            'isi'    => 'v_kategori_mengajar'
        );
        return view('layout/v_wrapper', $data);
    }

    public function add()
    {
        $data = array('nama_kategori_mengajar' => $this->request->getPost('nama_kategori_mengajar'));
        $this->Model_kategori_mengajar->add($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Tambahkan !!!');
        return redirect()->to(base_url('kategori_mengajar'));
    }

    public function edit($id_kategori_mengajar)
    {
        $data = array(
            'id_kategori_mengajar' => $id_kategori_mengajar,
            'nama_kategori_mengajar' => $this->request->getPost('nama_kategori_mengajar'),
        );
        $this->Model_kategori_mengajar->edit($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Update !!!');
        return redirect()->to(base_url('kategori_mengajar'));
    }

    public function delete($id_kategori_mengajar)
    {
        $data = array(
            'id_kategori_mengajar' => $id_kategori_mengajar,
        );
        $this->Model_kategori_mengajar->delete_data($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Hapus !!!');
        return redirect()->to(base_url('kategori_mengajar'));
    }
    //--------------------------------------------------------------------

}
